Arch Rebar LShape

From FreeCAD Documentation
Jump to: navigation, search

Arch Rebar LShape.png Arch Rebar LShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Bent Shape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager


Description

The Arch Rebar LShape.png LShape Rebar tool allows user to create LShape reinforcing bar in the structural element.

LShapeRebarNew.png

How to use

  1. Create a structure element
  2. Select any face of the structure
  3. Then select Arch Rebar LShape.png LShape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below LShapeDialog.png
  5. Select the desired orientation
  6. Give the inputs like front cover, left side cover, right side cover, bottom cover, top cover, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Properties

  • DATAOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DATAFront Cover: The distance between rebar and selected face.
  • DATARight Cover: The distance between the right end of the rebar to right face of the structure.
  • DATALeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DATABottom Cover: The distance between rebar from the bottom face of the structure.
  • DATATop Cover: The distance between rebar from the top face of the structure.
  • DATARounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DATAAmount: The amount of rebars.
  • DATASpacing: The distance between the axes of each bar.

Scripting

The Arch Rebar LShape.png LShape Rebar tool can by used in macros and from the python console by using the following function:

makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename) 
  • The LShape Rebar have four different orientations:
    • Bottom Right
    • Bottom Left
    • Top Right
    • Top Left
  • Adds a LShape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating LShape rebar.

import Arch, LShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = LShapeRebar.makeLShapeRebar(20, 20, 20, 20, 8, 20, 2, True, 10, "Bottom Left", structure, "Face1") 

Changing properties of LShape rebar.

import LShapeRebar
LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left") 
Other languages:
English • ‎español • ‎français • ‎italiano